diff --git a/libavcodec/bitpacked_dec.c b/libavcodec/bitpacked_dec.c
index 96aba27..b18bdac 100644
--- a/libavcodec/bitpacked_dec.c
+++ b/libavcodec/bitpacked_dec.c
@@ -30,6 +30,7 @@
 #include "codec_internal.h"
 #include "libavutil/imgutils.h"
 #include "thread.h"
+#include <sys/time.h>
 
 struct BitpackedContext {
     int (*decode)(AVCodecContext *avctx, AVFrame *frame,
@@ -67,11 +68,14 @@ static int bitpacked_decode_yuv422p10(AVCodecContext *avctx, AVFrame *frame,
     uint8_t *src;
     uint16_t *y, *u, *v;
     int ret, i, j;
+    struct timeval t1, t2;
 
     ret = ff_thread_get_buffer(avctx, frame, 0);
     if (ret < 0)
         return ret;
 
+    gettimeofday(&t1, NULL);
+
     if (frame_size > packet_size)
         return AVERROR_INVALIDDATA;
 
@@ -92,6 +96,9 @@ static int bitpacked_decode_yuv422p10(AVCodecContext *avctx, AVFrame *frame,
             src += 5;
         }
     }
+    gettimeofday(&t2, NULL);
+    fprintf(stderr, "Before=%d.%06d After %d.%06d\n",
+            t1.tv_sec, t1.tv_usec, t2.tv_sec, t2.tv_usec);
 
     return 0;
 }
